Results 1 to 11 of 11

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Can't upgrade my 3GS from 3.0.1 to 3.1.2

  1. #1
    Default Can't upgrade my 3GS from 3.0.1 to 3.1.2
    Hello,

    My 3GS is currently jailbroken and unlocked on OS 3.0. Now I want to update it a bit and get 3.1.2 instead. I have no idea what all this SHSH, baseband and stuff people are talking about so I have no idea what to save or not... The only thing I know is that I can't even update it to 3.1.2 through iTunes!!!

    It just says that it's not compatible with the build or something like that. Yes I've gone to my hosts file and added saurik's line but it didn't help.

    Soo... Does anyone know why I can't update? And do I need to fix something more before I update to avoid losing something important (people keep talking about some ViewUSB thing that I don't understand anything about, but it seems to be some kind of important file that gets lost if you update your phone)?

  2. #2
    iPhone? More like MyPhone
    Join Date
    Dec 2009
    Location
    Tasmania, Australia
    Posts
    180
    Thanks
    5
    Thanked 5 Times in 5 Posts

    Okayy,

    Firstly, You didnt need to change your host file to sauriks because you diont have a 3.1.2 SHSH saved on his server, because your phone wasn't 3.1.2.

    Try using a custom firmware from somewhere and shift + click restore; browse for the custom firmware and try that.

    please someone correct me if i aam wrong.
    Last edited by H3x.; 2010-04-05 at 12:36 AM. Reason: Automerged Doublepost

  3. #3
    Tried this now: ModMyi Forums - Downloads - iPhone 3GS 3.1.2

    Still said "not eligible with the requested build"

  4. #4
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    you need to google a custom 3.1.2 firmware created with pwnagetool (very important) that is activated and shift+restore to that and then use ultasn0w to unlock (get it from cydia)

    the firmware you dowloaded from this site is official firmware so that's why you still got "not eligible" error from iTunes
    Last edited by j3st3r; 2010-04-05 at 06:27 AM. Reason: Automerged Doublepost

  5. #5
    iPhone? More like MyPhone qnc's Avatar
    Join Date
    Nov 2007
    Location
    Mac Land
    Posts
    233
    Thanks
    32
    Thanked 34 Times in 28 Posts

    Quote Originally Posted by Me0w View Post
    Hello,

    My 3GS is currently jailbroken and unlocked on OS 3.0. Now I want to update it a bit and get 3.1.2 instead. I have no idea what all this SHSH, baseband and stuff people are talking about so I have no idea what to save or not... The only thing I know is that I can't even update it to 3.1.2 through iTunes!!!

    It just says that it's not compatible with the build or something like that. Yes I've gone to my hosts file and added saurik's line but it didn't help.

    Soo... Does anyone know why I can't update? And do I need to fix something more before I update to avoid losing something important (people keep talking about some ViewUSB thing that I don't understand anything about, but it seems to be some kind of important file that gets lost if you update your phone)?
    to answer your questions.
    the 3gs checks with apples server to verify the firmware before restore.
    If apples server denies the request to restore then you get that message about the requested build.

    changing your host file to saurik's server would have only helped if you has saved your SHSH file the you keep seeing. This file would have to been for 3.1.2 specifically. If you did not do this then you will not be able to upgrade/restore normally.

    Viewing your USB, MAC I assume was where you could get the ID(I forgot the name of it I think ECID), but this was the information sent to apple to verify the upgrade.

    I don't know about the custom firmware because My 3GS on 3.1.2 and staying with it until the bitter end. There are a lot of braver souls than I when it comes to the 3gS.

    Hell I just upgraded my 3G to 3.0 and finally 3.1.2 yesterday. I still have a 2G on 1.1.4
    Last edited by qnc; 2010-04-05 at 03:49 PM. Reason: corrected ECID
    Yeah I'm an iPhoneaholic!! So What!!!
    4s on 5.1.1 natural
    4 on 5.1.1 jailbroken on Straight Talk
    3Gs 5.0.1
    3G 3.1.3
    2G's on 1.1.4, 3.1.3

  6. #6
    What to use to jailbreak then?? blackra1n?

  7. #7
    IF you're already Jailbroken, you just update via custom firmware.

    The custom firmware is already jailbroken.

  8. #8
    Oh, cool. Anyone got a link to this custom firmware? So I don't take the wrong one and mess something up.

  9. #9
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    It's not allowed to link for one on these forums, so you'll have to use google. What you should be looking for in a custom firmware is:

    pwnagetool made
    700mb-1gb partition
    activated
    stock recovery and boot logos
    cydia installed and nothing else

  10. #10
    iPhone? More like MyPhone qnc's Avatar
    Join Date
    Nov 2007
    Location
    Mac Land
    Posts
    233
    Thanks
    32
    Thanked 34 Times in 28 Posts

    Will a custom firmware work on a 3Gs with out checking the SHSH fIle

  11. #11
    Quote Originally Posted by qnc View Post
    Will a custom firmware work on a 3Gs with out checking the SHSH fIle
    YES, as long as its an old boot rom and currently jailbroken.

  12. The Following User Says Thank You to l0k0 For This Useful Post:

    qnc (2010-04-06)

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •